FROM python:3.13-slim

# Install curl and CA certificates
RUN apt-get update && \
    apt-get install -y curl ca-certificates make libmagic-dev && \
    rm -rf /var/lib/apt/lists/*

# Install uv and set up environment
SHELL ["/bin/bash", "-c"]
RUN curl -LsSf https://astral.sh/uv/install.sh | sh && \
    source /root/.local/bin/env && \
    uv --version

# Add uv to PATH for all subsequent commands
ENV PATH="/root/.local/bin:${PATH}"

COPY pyproject.toml uv.lock /app/
WORKDIR /app

RUN uv sync

COPY . /app/
EXPOSE 800

ENTRYPOINT ["make",  "api"]

